
%define		realname	Audio-Musepack
Summary:	%realname module for perl
Name:		perl-%realname
Version:		0.7
Release:	%mkrel 10
License:		GPL
Group: 		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/%realname-%version.tar.gz
URL:		http://search.cpan.org/~daniel/%realname-%version/
BuildRoot:	%{_tmppath}/%{realname}-%{version}-%{release}-root/
BuildArch:	noarch
Packager:	Gri6507
Distribution:	PCLinuxOS

# Don't build debuginfo packages
%define debug_package %{nil}

BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-MP3-Info

%description
An object-oriented interface to Musepack file information and APE tag fields, implemented entirely in Perl.  

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make




%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%files
%defattr(-,root,root)
%{perl_vendorlib}/Audio/Musepack.pm
%{perl_vendorlib}/Audio/APETags.pm
%{perl_vendorlib}/Audio/APE.pm
%exclude %{_mandir}/*/*

%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

